[vala/wip/meson: 22/22] WIP meson: Add meson-bootstrap.sh
- From: Rico Tzschichholz <ricotz src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [vala/wip/meson: 22/22] WIP meson: Add meson-bootstrap.sh
- Date: Tue, 26 Nov 2019 07:46:12 +0000 (UTC)
commit aaeb17802744b39fd3e5d40f181c0f149aac58bc
Author: Rico Tzschichholz <ricotz ubuntu com>
Date: Mon Feb 11 20:25:15 2019 +0100
WIP meson: Add meson-bootstrap.sh
meson-bootstrap.sh | 13 +++++++++++++
1 file changed, 13 insertions(+)
---
diff --git a/meson-bootstrap.sh b/meson-bootstrap.sh
new file mode 100755
index 000000000..01711f960
--- /dev/null
+++ b/meson-bootstrap.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+API=`grep -e "^vala_api_version = '\([0-9]\.[0-9]*\)'$" meson.build | sed -r "s/vala_api_version = '([^
]+)'/\1/"`
+
+PWD=$(pwd)
+rm -rf _bootstrap _bootstrap_install _build
+
+meson _bootstrap -Dvaladoc=false -Dprefix=$PWD/_bootstrap_install || exit 1
+ninja -C _bootstrap || exit 1
+
+LD_LIBRARY_PATH="$PWD/_bootstrap/vala" VALAC="$PWD/_bootstrap/compiler/valac-$API --vapidir $PWD/vapi" meson
_build -Dprefix=/usr || exit 1
+LD_LIBRARY_PATH="$PWD/_bootstrap/vala" ninja -C _build || exit 1
+LD_LIBRARY_PATH="$PWD/_bootstrap/vala" ninja -C _build test || exit 1
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]